[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.UnlockRegion

Unlock a region of the stream

## Declaration

Source position: classesh.inc line 1176

`public function TStreamAdapter.UnlockRegion(`
`libOffset: LargeUint;`
`cb: LargeUint;`
`dwLockType: DWORD`
`):HRESULT; virtual;`

## Description

UnLockRegion implements #rtl.types.IStream.UnLockRegion.

## Errors

This function must be overridden and will raise a runerror 217 when called directly.

## See also

#rtl.types.IStream.UnLockRegion |  | Unlocks a previously locked region of bytes in the stream